Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs
dangling.hpp File Reference

## Classes
struct | ranges::dangling

## Typedefs
template<typename Rng >
using | ranges::borrowed_iterator_t = detail::maybe_dangling_< Rng, iterator_t< Rng > >
template<typename Rng >
using | ranges::safe_iterator_t = borrowed_iterator_t< Rng >
template<typename Rng >
using | ranges::cpp20::safe_iterator_t = borrowed_iterator_t< Rng >